package com.yizhi.system.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 站点
 * </p>
 *
 * @author fulan123
 * @since 2018-03-08
 */
@Data
@Api(tags = "SiteVO", description = "站点传输对象")
public class SiteVO{

    @ApiModelProperty(value = "id", notes = "修改时传")
	private Long id;

    @ApiModelProperty(value = "站点名称")
	private String name;

	@ApiModelProperty(value = "编码")
	private String code;

	@ApiModelProperty(value = "标识")
	private String logo;

	@ApiModelProperty(value = "管辖区id")
	private Long userGroupId;

	@ApiModelProperty(value = "管辖区名称")
	private String userGroupName;

	@ApiModelProperty(value = "站点总管理员账号id")
	private Long adminAccountId;

	@ApiModelProperty(value = "域名")
	private String domain;

    @ApiModelProperty(value = "是否开通")
	private Boolean enabled;

	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	@ApiModelProperty(value = "成员类型(1:子站点2:业务站点)")
	private Integer type;
	
	@ApiModelProperty(value = "备案")
	private String records;

	@ApiModelProperty(value = "公司id")
	private Long companyId;

	@ApiModelProperty(value = "公司名称")
	private String companyName;

	@ApiModelProperty(value = "公司Code")
	private String companyCode;

	@ApiModelProperty(value = "到期时间")
	private Date expiredTime;

	@ApiModelProperty(value = "视频速率 0 为关闭，大于0为速率开启")
	private Integer videoRate;

	@ApiModelProperty(value = "是否需要主站点的数据")
	private Boolean needMainSite = false;

}
