package com.yizhi.system.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 操作表
 * </p>
 *
 * @author 谢海军
 * @since 2018-03-09
 */
@Data
@ApiModel("操作表")
@TableName("authz_resource")
public class AuthzResource extends Model<AuthzResource> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "资源id")
    private Long id;

    @ApiModelProperty(value = "资源名称")
    private String name;

    @ApiModelProperty(value = "模块编码")
    @TableField("module_code")
    private String moduleCode;

    @ApiModelProperty(value = "图标")
    private String icon;

    @ApiModelProperty(value = "资源类型（P：页面，B：按钮）")
    private String type;

    @ApiModelProperty(value = "资源路径")
    private String url;

    @ApiModelProperty(value = "0-待处理、1-有效、2-无效")
    private Integer status;

    @ApiModelProperty(value = "上级")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "创建者id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(value = "创建者名称")
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新者id")
    @TableField(value = "update_by_id", fill = FieldFill.UPDATE)
    private Long updateById;

    @ApiModelProperty(value = "修改者名称")
    @TableField(value = "update_by_name", fill = FieldFill.UPDATE)
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.UPDATE)
    private Date updateTime;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
