package com.yizhi.system.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学习课程总时长
 * </p>
 *
 * @author shengchenglong
 * @since 2019-10-09
 */
@Data
@Api(tags = "DaIndicatorCourseTime", description = "学习课程总时长")
@TableName("da_indicator_course_time")
public class DaIndicatorCourseTime extends Model<DaIndicatorCourseTime> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "站点id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "本周站点下学习总时长")
    @TableField("time_count")
    private Integer timeCount;

    @ApiModelProperty(value = "周环比（上周总学习时长-上上周总学习时长）/上周总学习时长×100%")
    @TableField("week_chain")
    private String weekChain;

    @ApiModelProperty(value = "统计开始天数（一周）")
    @TableField("start_day")
    private Date startDay;

    @ApiModelProperty(value = "统计结束天数（一周）")
    @TableField("end_day")
    private Date endDay;

    @ApiModelProperty(value = "处理时间")
    @TableField("process_time")
    private Date processTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
