package com.yizhi.system.application.mapper;

import com.yizhi.system.application.domain.SensitiveWord;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.mapper.BaseMapper;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author moni.yin123
 * @since 2018-04-08
 */
public interface SensitiveWordMapper extends BaseMapper<SensitiveWord> {
	/**
	 * 查询重name的敏感词数量
	 * @param id
	 * @param companyId
	 * @param name
	 * @return
	 */
	@Select("select count(*)  from sensitive_word where "
			+ "id <> #{id} and name = #{name} and company_id= #{companyId}  and deleted=0")
	int countExistName(@Param(value="id") Long id,@Param(value="companyId") Long companyId,@Param(value="name") String name);

}
